Subject: bug#70017: closed (Re: bug#70017: Emacs 29.3 treesit-parser-list function parameters changed, while the master branch didn't)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Jul 2024 04:57:03 +0000

Your bug report

#70017: Emacs 29.3 treesit-parser-list function parameters changed, while the master branch didn't

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70017: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70017
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70017: Emacs 29.3 treesit-parser-list function parameters changed, while the master branch didn't
From: Yuan Fu <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: Meow King <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
Date: Sun, 30 Jun 2024 21:54:45 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Jun 29, 2024, at 10:56 PM, Stefan Kangas <[email-masked]> wrote:
> 
> Yuan Fu <[email-masked]> writes:
> 
>> My pleasure. It just happens today I finally got a day where I can sit down and
>> write some code. I updated manual and news entries. There’s one thing though, I
>> couldn’t find a good way to avoid using variables (which starts with lowercase)
>> at the beginning of sentences. I don’t know how do you feel about having lower
>> case letter at the beginning of sentences. If you have good tips on avoiding
>> them I’m happy to apply it to all the occurrences in the new manual entries I
>> wrote.
> 
> My best idea for that is to reformulate the sentence.  It's not the end
> of the world, IMHO.
> 
> Could this bug be closed?

Yes. I closed it. I personally am fine with having lowercase at the beginning, so I’ll live with it :-)

Yuan

Subject: Emacs 29.3 treesit-parser-list function parameters changed, while the master branch didn't
From: Meow King <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 26 Mar 2024 12:59:27 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

treesit-parser-list function parameter changed in Emacs 29.3. It only
accepts one mandatory parameter called BUFFER, however, in the latest master
branch, it accepts three optional parameters, the same as before.